commit: 5779aefce387c28ca612f150d079755e1c136bad
Author: Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Tue Jan 3 10:31:38 2017 +0000
Commit: Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
CommitDate: Tue Jan 3 10:31:38 2017 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=5779aefc
dev-python/nbformat: Bump to EAPI=6, fix deps and testing
Package-Manager: portage-2.3.0
dev-python/nbformat/nbformat-9999.ebuild | 13 +++++++------
1 file changed, 7 insertions(+), 6 deletions(-)
diff --git a/dev-python/nbformat/nbformat-9999.ebuild
b/dev-python/nbformat/nbformat-9999.ebuild
index a823d00..aa36b64 100644
--- a/dev-python/nbformat/nbformat-9999.ebuild
+++ b/dev-python/nbformat/nbformat-9999.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
+EAPI=6
PYTHON_COMPAT=( python2_7 python3_{4,5} )
PYTHON_REQ_USE='sqlite'
@@ -18,9 +18,9 @@ SLOT="0"
IUSE="doc test"
RDEPEND="
- dev-python/jsonschema[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-2.4.0[${PYTHON_USEDEP}]
dev-python/ipython_genutils[${PYTHON_USEDEP}]
- dev-python/traitlets[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-4.1[${PYTHON_USEDEP}]
dev-python/jupyter_core[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}
@@ -29,8 +29,9 @@ DEPEND="${RDEPEND}
dev-python/numpydoc[${PYTHON_USEDEP}]
)
test? (
- dev-python/nose[${PYTHON_USEDEP}]
- dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/testpath[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-cov[${PYTHON_USEDEP}]
)
"
@@ -50,7 +51,7 @@ python_compile_all() {
python_test() {
distutils_install_for_testing
cd "${TEST_DIR}"/lib || die
- nosetests --with-coverage --cover-package=nbformat nbformat || die
+ py.test -v --cov nbformat nbformat || die
}
python_install_all() {